
import datetime
import random

def generate_random_date(start_date, end_date):
    """
    Generate a random date between two given dates.
    """
    start = datetime.datetime.strptime(start_date, "%Y-%m-%d")
    end = datetime.datetime.strptime(end_date, "%Y-%m-%d")
    delta = end - start
    random_seconds = random.randrange(delta.total_seconds())
    return start + datetime.timedelta(seconds=random_seconds)

